﻿
<script type="text/javascript" src="~/Content/casavue/assets/js/jquery.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/jquery-transit/jquery.transit.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/bootstrap/assets/javascripts/bootstrap/dropdown.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/bootstrap/assets/javascripts/bootstrap/collapse.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/bootstrap-select/dist/js/bootstrap-select.min.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/bootstrap-fileinput/js/fileinput.min.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/autosize/jquery.autosize.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/isotope/dist/isotope.pkgd.min.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/OwlCarousel/owl-carousel/owl.carousel.min.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/jquery.scrollTo/jquery.scrollTo.min.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/jquery-google-map/infobox.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/jquery-google-map/markerclusterer.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/jquery-google-map/jquery-google-map.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/nvd3/lib/d3.v3.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/nvd3/lib/d3.v3.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/nvd3/nv.d3.min.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/steps/jquery.validate.min.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/libraries/steps/jquery.steps.min.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/js/beopen.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/js/charts.js"></script>
<script type="text/javascript" src="~/Content/casavue/assets/js/map.js"></script>
<script type="text/javascript">

    $(document).ready(function () {
        'use strict';

        var form = $("#register-form");

        form.show();

        form.validate({
            errorPlacement: function errorPlacement(error, element) {
                element.before(error);
            },
            rules: {
                confirm: {
                    equalTo: "#password"
                }
            }
        });

        function resizeJquerySteps() {
            $('.wizard .content').animate({ height: $('.body.current').outerHeight() }, "slow");
        }

        form.children("div").steps({
            headerTag: "h3",
            bodyTag: "section",
            transitionEffect: "slideLeft",
            onInit: function (event, currentIndex) {
                if (currentIndex == 0)
                    $('.wizard .content').css("height", '30em');

            },
            onStepChanging: function (event, currentIndex, newIndex) {

                form.validate().settings.ignore = ":disabled,:hidden";
                return form.valid();
            },
            onFinishing: function (event, currentIndex) {
                form.validate().settings.ignore = ":disabled";
                return form.valid();
            },
            onFinished: function (event, currentIndex) {
                alert("Submitted!");
            },
            onStepChanged: function (event, currentIndex, priorIndex) {
                resizeJquerySteps();

            }
        });

        $('#next-step').click(function () {
            form.children("div").steps("next");
        });

    });

</script>

<script type="text/javascript">

    var _gaq = _gaq || [];
    _gaq.push(['_setAccount', 'UA-17919379-2']);
    _gaq.push(['_trackPageview']);

    (function () {
        var ga = document.createElement('script');
        ga.type = 'text/javascript';
        ga.async = true;
        ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(ga, s);
    })();

</script>

    </body>
</html> 
